%% Clasificare date sota, subtractive clustering, caracteristica amplificare frecventa
% frecventa la scara logaritmica
clc
clear all
close all
load sota_af.dat
subplot(3,1,1)
plot(sota_af(:,1), sota_af(:,2))
xlabel('frecventa, scara logaritmica'), ylabel('amplificare')

RADII=0.3
[C,S] = subclust(sota_af,RADII);

disp ('Centrele claselor sunt:')
C
disp('')
disp ('valorile sigma pentru multimile fuzzy')
%that specify
%the range of influence of a cluster center in each of the data dimensions.
%All cluster centers share the same set of sigma values)
S

nr_mf=length(C);  % numaul de mf
culoare=rand(nr_mf,3);
%% mf pentru frecventa
f=sota_af(:,1);
subplot(3,1,2)
xlabel('frecventa, logaritmic'), ylabel('Gradul de apartenenta')
set(gcf, 'name', 'Clasificare Subtractive clustering', 'numbertitle', 'off'); % numele ferestrei
hold on
for idx=1:nr_mf
    mf=gaussmf(f, [S(1,1) C(idx,1)]);
    plot(f,mf,'LineWidth',2,'Color',culoare(idx,:))
end

%% mf pentru amplificare
a=sota_af(:,2);
subplot(3,1,3)
xlabel('amplificarea'), ylabel('Gradul de apartenenta')
hold on
for idx=1:nr_mf
    param(idx,:)=[S(1,2) C(idx,2)];
    mf=gaussmf(a, [S(1,2) C(idx,2)]);
    rand;
    plot(a,mf, 'LineWidth',2, 'Color',culoare(idx,:))
end